The SDL Component Suite is an industry leading collection of components supporting scientific and engineering computing. Please visit the SDL Web site for more information....



Version mismatch of components and units


Question:

When I install a new version of unit A the compiler creates an error message similar to "unit A was compiled with different version of unit B". How can I resolve this problem ?

Answer:

Errors of this kind usually occur when an old version of either unit A or unit B is within the search path of the Delphi/C++Builder system. In order to solve this problem, you have to search for all copies of the unit on the entire hard disk(s) (use the find function of the Windows explorer).

Thereafter perform the following steps:

(1) uninstall the problematic component (if necessary),
(2) remove all copies from your hard disk,
(3) re-install the new component.

Please keep in mind that some units are dependent on other units. So if you encounter such a problem, you maybe have to process all the other dependent units in the same way.

Another possible source of error is the library path entry which points to the old units. Use the command "Tools/Environment Options/Library" to check and possibly correct these entries.


Last Update: 2012-Oct-20